You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
23 lines
926 B
23 lines
926 B
From 7faae1264db2d015135985c52bc2b8a2ae0636eb Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Tue, 7 Jan 2014 16:40:50 +0100 |
|
Subject: [PATCH] iscsi/iscsiroot.sh: do not trust iscsistart return value |
|
|
|
--- |
|
modules.d/95iscsi/iscsiroot.sh | 3 ++- |
|
1 file changed, 2 insertions(+), 1 deletion(-) |
|
|
|
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh |
|
index ef090f7f..abdea5cf 100755 |
|
--- a/modules.d/95iscsi/iscsiroot.sh |
|
+++ b/modules.d/95iscsi/iscsiroot.sh |
|
@@ -44,7 +44,8 @@ if getargbool 0 rd.iscsi.firmware -d -y iscsi_firmware ; then |
|
iscsi_param="$iscsi_param --param $p" |
|
done |
|
|
|
- if ! [ -e /tmp/iscsistarted-firmware ] && iscsistart -b $iscsi_param; then |
|
+ if ! [ -e /tmp/iscsistarted-firmware ]; then |
|
+ iscsistart -b $iscsi_param |
|
echo 'started' > "/tmp/iscsistarted-iscsi" |
|
echo 'started' > "/tmp/iscsistarted-firmware" |
|
need_shutdown
|
|
|